'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const React = require('react');
const { VelocityComponent } = require('velocity-react');
const Section = require('./section');

const animation = {
  active: { opacity: 1 },
  inactive: { opacity: 0 }
};

const BottomPanel = ({ isMobile, isOpen, activeSection, sections, midSections }) => React.createElement(
  'div',
  { className: 'nav-panel-bottom' },
  sections.map((section, i) => React.createElement(
    'div',
    {
      key: i,
      style: { width: 'inherit' },
      className: !(isMobile && isOpen) && activeSection !== i ? 'nav-panel-bottom__section--inactive' : '' },
    React.createElement(
      VelocityComponent,
      {
        animation: isMobile && isOpen || activeSection === i ? animation.active : animation.inactive,
        duration: '300',
        delay: activeSection !== i ? 100 : 0 },
      React.createElement(Section, _extends({
        count: i,
        midSection: midSections[i]
      }, section))
    )
  ))
);

const { number, bool, string, array } = React.PropTypes;

BottomPanel.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
};

BottomPanel.defaultProps = {
  environment: 'com'
};

module.exports = BottomPanel;