'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const React = require('react');
const NavCTA = require('../nav-cta');

const Section = ({ newTab, cta, linkLists, midSection, count }) => React.createElement(
  'div',
  { className: 'nav-panel-bottom__section flex flex--space-between flex--wrap' },
  cta && React.createElement(NavCTA, _extends({ first: count === 0 }, cta)),
  (midSection.link ? [[midSection]] : []).concat(linkLists).map((links, i) => React.createElement(
    'ul',
    { key: i },
    links.map(({ style, href, bold, link, text, className }, j) => href ? React.createElement(
      'a',
      {
        key: `${ i }.${ j }`,
        style: style,
        href: href,
        className: className,
        target: newTab ? '_blank' : '_self' },
      React.createElement(
        'li',
        null,
        bold || link ? React.createElement(
          'strong',
          null,
          text
        ) : text
      )
    ) : React.createElement(
      'li',
      { key: `${ i }.${ j }`, className: className },
      bold || link ? React.createElement(
        'strong',
        null,
        text
      ) : text
    ))
  ))
);

const { array, bool, any, object, number } = React.PropTypes;

Section.propTypes = {
  linkLists: array,
  newTab: bool,
  cta: any,
  midSection: object,
  count: number
};

Section.defaultProps = {
  linkLists: []
};

module.exports = Section;